.cards {
    display: flex;
    height: 100%;
    width: 100%;

    .card {
        max-height: 40em;
        height: 100%;
        width: 100%;
        margin: 2em;
        max-width: 27.5em;

        &__single {
            padding: 2em;
            height: 100%;
            color: $white;
            display: flex;
            overflow: hidden;
            position: relative;
            flex-direction: column;
            justify-content: flex-end;
            background-color: $athens-gray;

            background-size: cover;
            background-position-y: 0%;
            background-position-x: 50%;
            background-repeat: no-repeat;
            background-position: center top;
        }

        &__heading {
            z-index: 1;
        }

        &__description {
            z-index: 1;
            max-height: 0;
            overflow-y: hidden;
            transition: all 0.55s ease-in-out;
        }

        &__overlay {
            position: absolute;
            top: 5%;
            bottom: 0;
            left: 0;
            right: 0;
            z-index: 0;
            opacity: 0.3;
            transition: all 0.55s;
            background: linear-gradient(0deg, rgb(0, 0, 0) 0%, rgba(0, 0, 0, 0) 100%);
        }

        .button {
            z-index: 1;
            color: $white;

            &--arrow {
                .arrow {
                    transition: all 0.55s;

                    &:after {
                        background-color: $white;
                    }

                    &:before {
                        border-color: $white;
                    }
                }
            }
        }

        &--white {
            color: $black;

            .card {
                &__overlay {
                    background: linear-gradient(0deg, rgb(255, 255, 255) 0%, rgba(255, 255, 255, 0) 100%);
                }
            }

            .button {
                &--arrow {
                    .arrow {
                        &:after {
                            background-color: $black;
                        }

                        &:before {
                            border-color: $black;
                        }
                    }
                }
            }
        }

        &:hover {
            .card {
                &__description {
                    max-height: 100%;
                }

                &__overlay {
                    top: -10%;
                    opacity: 1;
                }
            }

            .button {
                &--arrow {
                    .arrow {
                        transition: all 0.55s;
                        width: 4em;
                    }
                }
            }
        }
    }
}
